Compare commits

..
26 Commits
Author SHA1 Message Date
Travis CI User 7181d7fba8 [maven-release-plugin][skip ci] prepare release 7.1.1.2 2022-02-17 20:59:56 +00:00
Travis CI User 8aeb8dc524 [release][publish] 7.1.1.2
Update upstream versions
    - alfresco-community-repo:   12.25
    - alfresco-enterprise-share: 12.22
    - acs-packaging:             7.1.1.2
    - RELEASE_VERSION:           7.1.1.2
    - DEVELOPMENT_VERSION:       7.1.1.3-SNAPSHOT
2022-02-17 19:19:23 +00:00
alandavis a8e92353ae ACS-2553 Alfresco Community Distribution zip does not contain the correct version
Fixing 7.1.0, 7.1.1, 7.1.N - master was fine
Original 7.1.0.1 was fine, but if we were to do another it would also be wrong.

* correction to distribution.xml

(cherry picked from commit 8d2d344bc2)
2022-02-15 18:18:22 +00:00
alandavis 787aa32e86 The community share version bundled in the distribution is wrong
The acs-packaging update_downstream.sh script was trying to update dependency.acs-packaging.version.
Branches older that master use alfresco.share.version so the bundled share version did not change from 7.1.0.1

[skip ci] only gets used on release

(cherry picked from 7.1.N commit 2a1b65f7d2)
2022-02-04 14:50:40 +00:00
Tom Page 19fc2c7d03 ACS-2290 Update community repo version. 2022-02-04 08:19:16 +00:00
Tom Page 80407eb43a [skip ci] ACS-2290 Update tag in pom file. 2022-02-03 14:12:30 +00:00
Tom Page 143f09f9d2 [skip ci] ACS-2290 Update travis file as if SP release happened on HF branch. 2022-02-03 14:10:33 +00:00
Tom Page 24d7f9aa18 [skip ci] ACS-2290 Create HF branch for 7.1.1.N. 2022-02-03 14:09:56 +00:00
Travis CI User 7d66cb756b [maven-release-plugin][skip ci] prepare release 7.1.1 2022-02-02 18:17:17 +00:00
Travis CI User ba573688c7 [release][publish] 7.1.1
Update upstream versions
    - alfresco-community-repo:   12.23
    - alfresco-enterprise-share: 12.19
    - acs-packaging:             7.1.1
    - RELEASE_VERSION:           7.1.1
    - DEVELOPMENT_VERSION:       7.1.2-A1-SNAPSHOT
2022-02-02 16:14:15 +00:00
alandavis 64cf42346e ACS-2479 Pick up T-Core 2.5.6
[skip ci] wait for upstream build
2022-01-27 21:56:18 +00:00
alandavis 4ed1e46808 ATS-973 Bump t-core to 2.5.5
[skip ci] wait for upstream build
2022-01-27 09:25:22 +00:00
Travis CI User e9d22c9d81 [release] 7.1.1-A6
Update upstream versions
    - alfresco-community-repo:   12.20
    - alfresco-enterprise-share: 12.15
    - acs-packaging:             7.1.1-A6
    - RELEASE_VERSION:           7.1.1-A6
    - DEVELOPMENT_VERSION:       7.1.1-A7-SNAPSHOT
2022-01-20 15:45:33 +00:00
Travis CI User cb6b3c2c94 [maven-release-plugin][skip ci] prepare for next development iteration 2022-01-18 22:11:58 +00:00
Travis CI User 7fccdd0dc5 [maven-release-plugin][skip ci] prepare release 7.1.1-A5 2022-01-18 22:11:56 +00:00
alandavis a4d58b3454 [release] 7.1.1-A5
[skip tests][skip docker_latest] as we have just run these
2022-01-18 21:52:49 +00:00
Travis CI User 91c69060f3 Update upstream versions
- alfresco-community-repo:   12.20
    - alfresco-enterprise-share: 12.14
    - acs-packaging:             7.1.1-A5
    - RELEASE_VERSION:           7.1.1-A5
    - DEVELOPMENT_VERSION:       7.1.1-A6-SNAPSHOT
2022-01-18 20:20:59 +00:00
Sara 49fa6a4cf0 [skip ci] Update CHANGELOG.md to include 7.1.1 changes (#1462) 2022-01-15 01:51:22 +00:00
Travis CI User 8ee1f0ace9 Update upstream versions
- alfresco-community-repo:   12.17
    - alfresco-enterprise-share: 12.12
    - acs-packaging:             7.1.1-A2
    - RELEASE_VERSION:           7.1.1-A2
    - DEVELOPMENT_VERSION:       7.1.1-SNAPSHOT
2022-01-14 12:20:12 +00:00
Sara fed63a7c74 MNT-22696 Update CHANGELOG.md (#1460)
[skip ci]
2022-01-13 16:55:55 +00:00
Tom Page 58b795d54e [skip tests] Skip license header check when building upstream project.
(cherry picked from commit 5645836ac4)
2022-01-10 15:56:54 +00:00
Travis CI User f33f69fe9f Update upstream versions
- alfresco-community-repo:   12.3
    - alfresco-enterprise-share: 12.2
    - acs-packaging:             7.1.1-A1
    - RELEASE_VERSION:           7.1.1-A1
    - DEVELOPMENT_VERSION:       7.1.1-A2-SNAPSHOT
2021-10-20 20:12:34 +00:00
alandavis d8b1c5f543 prep work 7.1.0 -> 7.1.1 2021-10-01 07:48:28 +01:00
alandavis 191eaaedcf parent pom version must exist
[skip ci]
2021-09-29 05:40:18 +01:00
alandavis 0242f4a3ac Get master ready for 7.1.1 development
[skip ci]
2021-09-28 23:09:36 +01:00
alandavis 3e169812da Get the branch ready for HFs
[skip ci]
2021-09-28 22:46:10 +01:00
34 changed files with 83 additions and 485 deletions
-62
View File
@@ -1,62 +0,0 @@
version: 2
registries:
maven-repository-artifacts-alfresco-com-nexus-content-groups-int:
type: maven-repository
url: https://artifacts.alfresco.com/nexus/content/groups/internal
username: ${{secrets.NEXUS_USERNAME}}
password: ${{secrets.NEXUS_PASSWORD}}
updates:
- package-ecosystem: maven
directory: "/"
schedule:
interval: daily
time: "22:00"
timezone: Africa/Abidjan
open-pull-requests-limit: 99
ignore:
# Upstream alfresco-community-repo artifacts
- dependency-name: org.alfresco:alfresco-community-repo
- dependency-name: org.alfresco:alfresco-core
- dependency-name: org.alfresco:alfresco-data-model
- dependency-name: org.alfresco:alfresco-repository
- dependency-name: org.alfresco:alfresco-remote-api
- dependency-name: org.alfresco:content-services-community
- dependency-name: org.alfresco:alfresco-community-repo-distribution
- dependency-name: org.alfresco.tas:alfresco-community-repo-webdav-test:tests
- dependency-name: org.alfresco.tas:alfresco-community-repo-restapi-test:tests
- dependency-name: org.alfresco.tas:alfresco-community-repo-integration-test:tests
- dependency-name: org.alfresco.tas:alfresco-community-repo-email-test:tests
- dependency-name: org.alfresco.tas:alfresco-community-repo-cmis-test:tests
# Used in dev env - Currently using 7.0.86 but have tried higher versions
- dependency-name: org.apache.tomcat.embed
versions:
- "> 7.0.109"
- dependency-name: org.apache.tomcat
versions:
- "> 7.0.109"
# Upstream alfresco-enterprise-share artifacts
- dependency-name: org.alfresco:share:classes
- dependency-name: org.alfresco:alfresco-wcmqs-web:classes
- dependency-name: org.alfresco:alfresco-wcmqs-distribution
- dependency-name: org.alfresco:share
- dependency-name: org.alfresco:alfresco-content-services-share-distribution
- dependency-name: org.alfresco:alfresco-share-services
# Others
- dependency-name: io.fabric8:fabric8-maven-plugin
versions:
- "> 4.4.1"
- dependency-name: org.alfresco:api-explorer
versions:
- "> 6.1.0, < 6.2"
- dependency-name: org.alfresco.integrations:alfresco-googledocs-repo-community
versions:
- "> 3.1.0"
- dependency-name: org.alfresco.integrations:alfresco-googledocs-share-community
versions:
- "> 3.1.0"
- dependency-name: org.apache.maven.plugins:maven-war-plugin
versions:
- ">= 3.a, < 4"
registries:
- maven-repository-artifacts-alfresco-com-nexus-content-groups-int
+3 -3
View File
@@ -28,9 +28,9 @@ env:
global:
- TAS_SCRIPTS=../alfresco-community-repo/packaging/tests/scripts
- TAS_ENVIRONMENT=./tests/environment
# Release version has to start with real version (7.2.0-....) for the docker image to build successfully.
- RELEASE_VERSION=7.2.0-A5
- DEVELOPMENT_VERSION=7.2.0-A6-SNAPSHOT
# Release version has to start with real version (7.1.1-....) for the docker image to build successfully.
- RELEASE_VERSION=7.1.1.2
- DEVELOPMENT_VERSION=7.1.1.3-SNAPSHOT
stages:
- name: test
+41 -3
View File
@@ -1,8 +1,46 @@
<h1> 7.2.0 Community
<h1> 7.1.1 Community
</h1>
<h2>
New Features
<h2> New Features
</h2>
<ul>
<li>New REST API Endpoints:
DELETE '/nodes/{nodeId}/renditions/{renditionId}'
DELETE '/nodes/{nodeId}/versions/{versionId}/renditions/{renditionId}'
</li>
</ul>
<h2> Bug
</h2>
<ul>
<li>[<a href='https://alfresco.atlassian.net/browse/MNT-22611'>MNT-22611</a>] - Disable rules flag not working correctly in bulk import with ACS v6.x or above
</li>
<li>[<a href='https://alfresco.atlassian.net/browse/ACS-2067'>ACS-2067</a>] - DAU: Live Probe seems to fail with 503 when Direct Access Urls are enabled
</li>
<li>[<a href='https://alfresco.atlassian.net/browse/MNT-21706'>MNT-21706</a>] - Change to Node Service permissions breaks setAssociations
</li>
<li>[<a href='https://alfresco.atlassian.net/browse/MNT-21883'>MNT-21883</a>] - Documents Shared from a Smart Folder cannot be Unshared
</li>
<li>[<a href='https://alfresco.atlassian.net/browse/MNT-18700'>MNT-18700</a>] - Message bundles do not deploy/reload automatically when dynamically deployed
</li>
<li>[<a href='https://alfresco.atlassian.net/browse/MNT-22680'>MNT-22680</a>] - Some formatting elements not displaying when viewing a wiki page after ACS v5.2.7.12 installed
</li>
<li>[<a href='https://alfresco.atlassian.net/browse/MNT-21953'>MNT-21953</a>] - Configuration for Handling Failed Thumbnail Creation No Longer Works
</li>
<li>[<a href='https://alfresco.atlassian.net/browse/MNT-22136'>MNT-22136</a>] - WebDAV PROPFIND returns 302 code instead of 404 when using ACS Repo docker image (eg. via docker-compose)
</li>
<li>[<a href='https://alfresco.atlassian.net/browse/MNT-21551'>MNT-21551</a>] - Creating links to Folder does not work when default root node is changed
</li>
<li>[<a href='https://alfresco.atlassian.net/browse/MNT-22715'>MNT-22715</a>] - Document Version Issue - Unexpected: current version does not appear to be 1st version in the list
</li>
<li>[<a href='https://alfresco.atlassian.net/browse/MNT-22601'>MNT-22601</a>] - Admin Console functionality becomes unusable in Alfresco v7.0.1.3
</li>
<li>[<a href='https://alfresco.atlassian.net/browse/ACS-2180'>ACS-2180</a>] - Secret Communication for Alfresco/SOLR is not protecting Alfresco Repository endpoints
</li>
</ul>
<h1> 7.1.0 Community
</h1>
<h2>
-10
View File
@@ -4,16 +4,6 @@
It is possible to use Docker containers to test your code, but it is normally more convenient to simply run the
repository webapp (`alfresco.war`) in a tomcat instance.
## Link the projects
Generally you will want to link the different projects together by modifing the top level
pom.xml files of each downstream project so that they references the SNAPSHOT versions of the
upstream projects. To help do this see the `acs-community-packaging` project's `scripts/dev/linkPoms.sh` and
`scripts/dev/unlinkPoms.sh` scripts.
~~~
sh acs-community-packaging/scripts/linkPoms.sh
~~~
## Build -repo projects
Build the `alfresco-community-repo` (if you have not
done so already), so that your changes are in the community alfresco.war file.
+1 -1
View File
@@ -7,7 +7,7 @@
<parent>
<groupId>org.alfresco</groupId>
<artifactId>alfresco-dev-community-tomcat-env</artifactId>
<version>7.2.0-A5</version>
<version>7.1.1.2</version>
</parent>
<properties>
+1 -1
View File
@@ -8,7 +8,7 @@
<parent>
<groupId>org.alfresco</groupId>
<artifactId>alfresco-dev-community-tomcat-env</artifactId>
<version>7.2.0-A5</version>
<version>7.1.1.2</version>
</parent>
<build>
+1 -1
View File
@@ -8,7 +8,7 @@
<parent>
<groupId>org.alfresco</groupId>
<artifactId>alfresco-dev-community-tomcat-env</artifactId>
<version>7.2.0-A5</version>
<version>7.1.1.2</version>
</parent>
<build>
+1 -1
View File
@@ -9,7 +9,7 @@
<parent>
<groupId>org.alfresco</groupId>
<artifactId>alfresco-dev-community-tomcat-env</artifactId>
<version>7.2.0-A5</version>
<version>7.1.1.2</version>
</parent>
<properties>
+1 -1
View File
@@ -6,7 +6,7 @@ version: "2"
services:
transform-core-aio:
image: alfresco/alfresco-transform-core-aio:2.5.3
image: alfresco/alfresco-transform-core-aio:2.5.6
mem_limit: 1536m
environment:
JAVA_OPTS: " -Xms256m -Xmx1536m"
+1 -13
View File
@@ -9,7 +9,7 @@
<parent>
<groupId>org.alfresco</groupId>
<artifactId>acs-community-packaging</artifactId>
<version>7.2.0-A5</version>
<version>7.1.1.2</version>
</parent>
<properties>
@@ -26,16 +26,4 @@
<module>dev-acs-amps-overlay</module>
</modules>
<build>
<pluginManagement>
<plugins>
<!-- Versions higher than 3.3.0 were causing the tomcat dev environment to fail to start with a
ClassNotFoundException: org.springframework.web.context.ContextLoaderListener -->
<plugin>
<artifactId>maven-war-plugin</artifactId>
<version>3.2.2</version>
</plugin>
</plugins>
</pluginManagement>
</build>
</project>
+1 -1
View File
@@ -8,7 +8,7 @@
<parent>
<groupId>org.alfresco</groupId>
<artifactId>acs-community-packaging</artifactId>
<version>7.2.0-A5</version>
<version>7.1.1.2</version>
</parent>
<dependencies>
+1 -1
View File
@@ -7,7 +7,7 @@
<parent>
<groupId>org.alfresco</groupId>
<artifactId>acs-community-packaging</artifactId>
<version>7.2.0-A5</version>
<version>7.1.1.2</version>
</parent>
<dependencies>
+2 -2
View File
@@ -38,7 +38,7 @@
<!-- Share -->
<fileSet>
<directory>${project.build.directory}/dependency/alfresco-content-services-share-distribution-${project.version}</directory>
<directory>${project.build.directory}/dependency/alfresco-content-services-share-distribution-${dependency.acs-packaging.version}</directory>
<outputDirectory/>
<includes>
<include>web-server/**</include>
@@ -47,7 +47,7 @@
</includes>
</fileSet>
<fileSet>
<directory>${project.build.directory}/dependency/alfresco-content-services-share-distribution-${project.version}/web-extension-samples</directory>
<directory>${project.build.directory}/dependency/alfresco-content-services-share-distribution-${dependency.acs-packaging.version}/web-extension-samples</directory>
<outputDirectory>web-server/shared/classes/alfresco/web-extension</outputDirectory>
</fileSet>
</fileSets>
+1 -1
View File
@@ -8,7 +8,7 @@
<parent>
<groupId>org.alfresco</groupId>
<artifactId>content-services-community-docker</artifactId>
<version>7.2.0-A5</version>
<version>7.1.1.2</version>
</parent>
<properties>
+1 -1
View File
@@ -7,7 +7,7 @@
<parent>
<groupId>org.alfresco</groupId>
<artifactId>acs-community-packaging</artifactId>
<version>7.2.0-A5</version>
<version>7.1.1.2</version>
</parent>
<properties>
+1 -1
View File
@@ -8,7 +8,7 @@
<parent>
<groupId>org.alfresco</groupId>
<artifactId>share-community-docker</artifactId>
<version>7.2.0-A5</version>
<version>7.1.1.2</version>
</parent>
<properties>
+1 -1
View File
@@ -7,6 +7,6 @@
<parent>
<groupId>org.alfresco</groupId>
<artifactId>acs-community-packaging</artifactId>
<version>7.2.0-A5</version>
<version>7.1.1.2</version>
</parent>
</project>
+7 -30
View File
@@ -3,19 +3,19 @@
<artifactId>acs-community-packaging</artifactId>
<packaging>pom</packaging>
<name>Alfresco Content Services Community Packaging</name>
<version>7.2.0-A5</version>
<version>7.1.1.2</version>
<parent>
<groupId>org.alfresco</groupId>
<artifactId>alfresco-community-repo</artifactId>
<relativePath>../alfresco-community-repo/pom.xml</relativePath>
<version>14.25</version>
<version>12.25</version>
</parent>
<properties>
<dependency.alfresco-community-repo.version>14.25</dependency.alfresco-community-repo.version>
<dependency.alfresco-community-share.version>14.15</dependency.alfresco-community-share.version>
<dependency.acs-packaging.version>7.2.0-A5</dependency.acs-packaging.version> <!-- for Share distribution zip -->
<dependency.alfresco-community-repo.version>12.25</dependency.alfresco-community-repo.version>
<dependency.alfresco-community-share.version>12.22</dependency.alfresco-community-share.version>
<dependency.acs-packaging.version>7.1.1.2</dependency.acs-packaging.version> <!-- Share distribution zip from acs-packaging -->
<repo.image.tag>${dependency.alfresco-community-repo.version}</repo.image.tag>
<share.image.tag>${dependency.alfresco-community-share.version}</share.image.tag>
@@ -25,7 +25,7 @@
<connection>scm:git:https://github.com/Alfresco/acs-community-packaging.git</connection>
<developerConnection>scm:git:https://github.com/Alfresco/acs-community-packaging.git</developerConnection>
<url>https://github.com/Alfresco/acs-community-packaging</url>
<tag>7.2.0-A5</tag>
<tag>7.1.1.2</tag>
</scm>
<distributionManagement>
@@ -39,31 +39,9 @@
</snapshotRepository>
</distributionManagement>
<repositories>
<repository>
<id>alfresco-public</id>
<url>https://artifacts.alfresco.com/nexus/content/groups/public</url>
<releases>
<enabled>true</enabled>
</releases>
<snapshots>
<enabled>false</enabled>
</snapshots>
</repository>
<repository>
<id>alfresco-public-snapshots</id>
<url>https://artifacts.alfresco.com/nexus/content/groups/public-snapshots</url>
<releases>
<enabled>false</enabled>
</releases>
<snapshots>
<enabled>true</enabled>
</snapshots>
</repository>
</repositories>
<modules>
<module>distribution</module>
<module>public-javadoc</module>
<module>docker-alfresco</module>
<module>docker-share</module>
</modules>
@@ -86,7 +64,6 @@
<profile>
<id>release</id>
<modules>
<module>public-javadoc</module>
<module>dev</module>
</modules>
</profile>
+1 -1
View File
@@ -5,7 +5,7 @@
<parent>
<groupId>org.alfresco</groupId>
<artifactId>acs-community-packaging</artifactId>
<version>7.2.0-A5</version>
<version>7.1.1.2</version>
</parent>
<packaging>pom</packaging>
-52
View File
@@ -1,52 +0,0 @@
#!/usr/bin/env bash
function updatePomParent() {
local PROJECT="$1"
local PARENT_POM_VERSION="$2"
if [ -d "${ROOT_DIR}/${PROJECT}" -a -n "${PARENT_POM_VERSION}" ]
then
# Cannot use "mvn versions:update-parent" as the version must exist before it can be set. The ed command is also faster.
pushd "${ROOT_DIR}/${PROJECT}" &>/dev/null
ed -s pom.xml &>/tmp/$$.log << EOF
/<parent>
/<version>.*<\/version>/s//<version>${PARENT_POM_VERSION}<\/version>/
wq
EOF
if [ $? -ne 0 ]
then
echo
echo "\"update of <pom><parent><version> version failed on ${PROJECT}"
cat "/tmp/$$.log"
exit 1
fi
printf "%-25s %46s=%s\n" "${PROJECT}" "<pom><parent><version>" "${PARENT_POM_VERSION}"
popd &>/dev/null
fi
}
function updatePomProperty() {
local PROJECT="$1"
local PROPERTY_VALUE="$2"
local PROPERTY_NAME="$3"
if [ -d "${ROOT_DIR}/${PROJECT}" -a -n "${PROPERTY_VALUE}" ]
then
# Can use "mvn versions:set-property", but ed is so much faster.
# mvn -B versions:set-property versions:commit -Dproperty="${PROPERTY_NAME}" "-DnewVersion=${PROPERTY_VALUE}"
pushd "${ROOT_DIR}/${PROJECT}" &>/dev/null
ed -s pom.xml &>/tmp/$$.log << EOF
/\(<${PROPERTY_NAME}>\).*\(<\/${PROPERTY_NAME}>\)/s//\1${PROPERTY_VALUE}\2/
wq
EOF
if [ $? -ne 0 ]
then
echo
echo "\"update of <${PROPERTY_NAME}> failed on ${PROJECT}"
cat "/tmp/$$.log"
exit 1
fi
printf "%-25s %46s=%s\n" "${PROJECT}" "<${PROPERTY_NAME}>" "${PROPERTY_VALUE}"
popd &>/dev/null
fi
}
-245
View File
@@ -1,245 +0,0 @@
#!/usr/bin/env bash
SCRIPT_DIR="$(cd "$(dirname "${BASH_SOURCE[0]}")" && pwd)"
ROOT_DIR="${SCRIPT_DIR}/../../.."
ENV_FILE=".linkPoms.env"
ENV_PATH="${ROOT_DIR}/${ENV_FILE}"
source "$(dirname "${BASH_SOURCE[0]}")/dev_functions.sh"
usage() {
echo "Updates the downstream projects with the versions of the upstream projects. Reversed by unlinkPoms.sh" 1>&2;
echo 1>&2;
echo "Usage: $0 [-b <branch>] [-mpxuh]" 1>&2;
echo " -m: Checkout master of each project" 1>&2;
echo " -b: Checkout the <branch> of each project or master if <branch> is blank" 1>&2;
echo " -p: Pull the latest version of each project" 1>&2;
echo " -x: Skip the extract of values from each project" 1>&2;
echo " -u: Skip the update of values in each project" 1>&2;
echo " -h: Display this help" 1>&2;
exit 1;
}
function checkout() {
local PROJECT="${1}"
local BRANCH="${2}"
if [ -d "${ROOT_DIR}/${PROJECT}" ]
then
pushd "${ROOT_DIR}/${PROJECT}" &>/dev/null
git checkout "${BRANCH}" &>/tmp/$$.log
if [ $? -ne 0 ]
then
echo
echo "\"git checkout ${BRANCH}\" failed on ${PROJECT}"
cat "/tmp/$$.log"
exit 1
fi
echo "${PROJECT} is now on ${BRANCH}"
popd &>/dev/null
fi
}
function pull_latest() {
local PROJECT="${1}"
if [ -d "${ROOT_DIR}/${PROJECT}" ]
then
pushd "${ROOT_DIR}/${PROJECT}" &>/dev/null
git pull &>/tmp/$$.log
if [ $? -ne 0 ]
then
echo
echo "\"git pull\" failed on ${PROJECT}"
cat "/tmp/$$.log"
exit 1
fi
echo "${PROJECT} is now using latest"
popd &>/dev/null
fi
}
function readTopLevelTag() {
local TAG_NAME="${1}"
local POM_FILE="${2}"
# Might be possible to generalise this function to accept an XPath so it could be used in place of sed commands
# Read the file with an IFS (Input Field Separator) of the start of XML tag character <
local IFS=\>
local DEPTH=-99
while read -d \< ENTITY CONTENT
do
if [[ $ENTITY == project\ * ]] # outer <project> tag
then
DEPTH=0
elif [[ $ENTITY == /* ]] # end tag
then
((DEPTH=DEPTH-1))
else # start tag
((DEPTH=DEPTH+1))
fi
if [[ $ENTITY = "${TAG_NAME}" ]] && [[ $DEPTH == 1 ]] ; then
echo $CONTENT
exit
fi
done < $POM_FILE
exit 1
}
function exportPomVersion() {
local PROJECT="${1}"
local ENV_NAME="${2}"
if [ -d "${ROOT_DIR}/${PROJECT}" ]
then
pushd "${ROOT_DIR}/${PROJECT}" &>/dev/null
# Same as slower/simpler: "mvn help:evaluate -Dexpression=project.version"
VERSION=$(readTopLevelTag version pom.xml)
if [ $? -ne 0 ]
then
echo
echo "\"readTopLevelTagContent version pom.xml\" failed on ${PROJECT}"
exit 1
fi
echo "export ${ENV_NAME}=${VERSION}" >> "${ENV_PATH}"
popd &>/dev/null
fi
}
function exportPomParent() {
local PROJECT="${1}"
local ENV_NAME="${2}"
if [ -d "${ROOT_DIR}/${PROJECT}" ]
then
pushd "${ROOT_DIR}/${PROJECT}" &>/dev/null
# Same as slower/simpler: "mvn help:evaluate -Dexpression=project.parent.version"
PROPERTY_VALUE=$(sed -n '/<parent>/,/<\/parent>/p' pom.xml | sed -n "s/.*<version>\(.*\)<\/version>/\1/p" | sed 's/\r//g')
if [ $? -ne 0 ]
then
echo
echo "\"sed -n '/<parent>/,/<\/parent>/p' pom.xml | sed -n \\\"s/.*<version>\(.*\)<\/version>/\1/p\\\" | sed 's/\r//g'\" failed on ${PROJECT}"
exit 1
fi
echo "export ${ENV_NAME}=${PROPERTY_VALUE}" >> "${ENV_PATH}"
popd &>/dev/null
fi
}
# Original version was simpler/slower: exportPomPropertyOrig <project> <env_name> project.parent.version
function exportPomProperty() {
local PROJECT="${1}"
local ENV_NAME="${2}"
local PROPERTY_NAME="${3}"
if [ -d "${ROOT_DIR}/${PROJECT}" ]
then
pushd "${ROOT_DIR}/${PROJECT}" &>/dev/null
# Same as slower/simpler: "mvn help:evaluate -Dexpression=${PROPERTY_NAME}"
PROPERTY_VALUE=$(sed -n '/<properties>/,/<\/properties>/p' pom.xml | sed -n "s/.*<${PROPERTY_NAME}>\(.*\)<\/${PROPERTY_NAME}>/\1/p" | sed 's/\r//g')
if [ $? -ne 0 ]
then
echo
echo "\"sed -n '/<properties>/,/<\/properties>/p' pom.xml | sed -n \\\"s/.*<${PROPERTY_NAME}>\(.*\)<\/${PROPERTY_NAME}>/\1/p\\\" | sed 's/\r//g'\" failed on ${PROJECT}"
exit 1
fi
echo "export ${ENV_NAME}=${PROPERTY_VALUE}" >> "${ENV_PATH}"
popd &>/dev/null
fi
}
while getopts "b:mpxuh" arg; do
case $arg in
b)
B_FLAG_SET="true"
;;
m)
M_FLAG_B_FLAG_SET="true"
;;
p)
# git pull after git checkout
;;
x)
SKIP_EXPORT="true"
;;
u)
SKIP_UPDATE="true"
;;
h | *)
usage
exit 0
;;
esac
done
if [ -n "${B_FLAG_SET}" -a -n "${M_FLAG_B_FLAG_SET}" ]
then
echo "-m and -b may not both be set"
exit 1
fi
OPTIND=1
while getopts "b:mpxuh" arg; do
case $arg in
b)
BRANCH="${OPTARG:-master}"
checkout alfresco-community-repo "${BRANCH}"
checkout alfresco-community-share "${BRANCH}"
checkout acs-community-packaging "${BRANCH}"
;;
m)
BRANCH="master"
checkout alfresco-community-repo "${BRANCH}"
checkout alfresco-community-share "${BRANCH}"
checkout acs-community-packaging "${BRANCH}"
;;
esac
done
OPTIND=1
while getopts "b:mpxuh" arg; do
case $arg in
p)
pull_latest alfresco-community-repo
pull_latest alfresco-community-share
pull_latest acs-community-packaging
;;
esac
done
if [ -z ${SKIP_EXPORT+x} ]
then
rm -f "${ENV_FILE}"
exportPomVersion alfresco-community-repo COM_R_VERSION
exportPomVersion alfresco-enterprise-repo ENT_R_VERSION
exportPomParent alfresco-enterprise-repo ENT_R_PARENT
exportPomProperty alfresco-enterprise-repo ENT_R_DEP_COM_R dependency.alfresco-community-repo.version
exportPomVersion alfresco-community-share COM_S_VERSION
exportPomProperty alfresco-community-share COM_S_DEP_COM_R dependency.alfresco-community-repo.version
exportPomProperty alfresco-community-share COM_S_DEP_ENT_R dependency.alfresco-enterprise-repo.version
exportPomVersion acs-community-packaging COM_P_VERSION
exportPomParent acs-community-packaging COM_P_PARENT
exportPomProperty acs-community-packaging COM_P_DEP_COM_R dependency.alfresco-community-repo.version
exportPomProperty acs-community-packaging COM_P_DEP_COM_S dependency.alfresco-community-share.version
cat "${ENV_FILE}"
fi
if [ -z ${SKIP_UPDATE+x} ]
then
if [ ! -f "${ENV_FILE}" ]
then
echo ""${ENV_FILE}" does not exist."
exit 1
fi
source "${ENV_FILE}"
updatePomProperty alfresco-community-share "$COM_R_VERSION" dependency.alfresco-community-repo.version
updatePomParent acs-community-packaging "$COM_R_VERSION"
updatePomProperty acs-community-packaging "$COM_R_VERSION" dependency.alfresco-community-repo.version
updatePomProperty acs-community-packaging "$COM_S_VERSION" dependency.alfresco-community-share.version
fi
-37
View File
@@ -1,37 +0,0 @@
#!/usr/bin/env bash
set -o errexit
SCRIPT_DIR="$(cd "$(dirname "${BASH_SOURCE[0]}")" && pwd)"
ROOT_DIR="${SCRIPT_DIR}/../../.."
ENV_FILE=".linkPoms.env"
source "$(dirname "${BASH_SOURCE[0]}")/dev_functions.sh"
usage() {
echo "Reverts changes made by linkPoms.sh using values stored in ${ENV_FILE}" 1>&2;
echo 1>&2;
echo "Usage: $0 [-h]" 1>&2;
echo " -h: Display this help" 1>&2;
exit 1;
}
while getopts "lh" arg; do
case $arg in
l)
LOGGING_OUT=`tty`
;;
h | *)
usage
exit 0
;;
esac
done
source ${ENV_FILE}
updatePomProperty alfresco-community-share "$COM_S_DEP_COM_R" dependency.alfresco-community-repo.version
updatePomParent acs-community-packaging "$COM_P_PARENT"
updatePomProperty acs-community-packaging "$COM_P_DEP_COM_R" dependency.alfresco-community-repo.version
updatePomProperty acs-community-packaging "$COM_P_DEP_COM_S" dependency.alfresco-community-share.version
+4 -4
View File
@@ -32,9 +32,9 @@ UPSTREAM_REPO="github.com/Alfresco/alfresco-community-repo.git"
# Search, checkout and build the same branch on the upstream project in case of SNAPSHOT dependencies
# Otherwise, checkout the upstream tag and build its Docker image (use just "mvn package", without "mvn install")
if [[ "${COM_DEPENDENCY_VERSION}" =~ ^.+-SNAPSHOT$ ]] ; then
pullAndBuildSameBranchOnUpstream "${UPSTREAM_REPO}" "-Pbuild-docker-images -Pags"
pullAndBuildSameBranchOnUpstream "${UPSTREAM_REPO}" "-Pbuild-docker-images -Pags -Dlicense.failOnNotUptodateHeader=true"
else
pullUpstreamTagAndBuildDockerImage "${UPSTREAM_REPO}" "${COM_DEPENDENCY_VERSION}" "-Pbuild-docker-images -Pags"
pullUpstreamTagAndBuildDockerImage "${UPSTREAM_REPO}" "${COM_DEPENDENCY_VERSION}" "-Pbuild-docker-images -Pags -Dlicense.failOnNotUptodateHeader=true"
fi
SHARE_DEPENDENCY_VERSION="$(retrievePomProperty "dependency.alfresco-community-share.version")"
@@ -56,9 +56,9 @@ SHARE_UPSTREAM_REPO="github.com/Alfresco/alfresco-community-share.git"
# Checkout the upstream share project (tag or branch; + build if the latter)
if [[ "${SHARE_DEPENDENCY_VERSION}" =~ ^.+-SNAPSHOT$ ]] ; then
pullAndBuildSameBranchOnUpstream "${SHARE_UPSTREAM_REPO}" "-Pbuild-docker-images -Pags -Ddocker.quay-expires.value=NEVER ${REPO_IMAGE} -Ddependency.alfresco-community-repo.version=${COM_DEPENDENCY_VERSION}"
pullAndBuildSameBranchOnUpstream "${SHARE_UPSTREAM_REPO}" "-Pbuild-docker-images -Pags -Dlicense.failOnNotUptodateHeader=true -Ddocker.quay-expires.value=NEVER ${REPO_IMAGE} -Ddependency.alfresco-community-repo.version=${COM_DEPENDENCY_VERSION}"
else
pullUpstreamTagAndBuildDockerImage "${SHARE_UPSTREAM_REPO}" "${SHARE_DEPENDENCY_VERSION}" "-Pbuild-docker-images -Pags -Ddocker.quay-expires.value=NEVER -Ddependency.alfresco-community-repo.version=${COM_DEPENDENCY_VERSION}"
pullUpstreamTagAndBuildDockerImage "${SHARE_UPSTREAM_REPO}" "${SHARE_DEPENDENCY_VERSION}" "-Pbuild-docker-images -Pags -Dlicense.failOnNotUptodateHeader=true -Ddocker.quay-expires.value=NEVER -Ddependency.alfresco-community-repo.version=${COM_DEPENDENCY_VERSION}"
fi
# Build the current project
+1 -1
View File
@@ -8,7 +8,7 @@ set -vex
#
if [ -z "${RELEASE_VERSION}" ]; then
echo "Please provide a RELEASE_VERSION in the format <acs-version>-<additional-info> (7.2.0-EA or 7.2.0-SNAPSHOT)"
echo "Please provide a RELEASE_VERSION in the format <acs-version>-<additional-info> (7.1.1-EA or 7.1.1-SNAPSHOT)"
exit 1
fi
+1 -1
View File
@@ -8,7 +8,7 @@ set -vex
#
if [ -z "${RELEASE_VERSION}" ]; then
echo "Please provide a RELEASE_VERSION in the format <acs-version>-<additional-info> (7.2.0-EA or 7.2.0-SNAPSHOT)"
echo "Please provide a RELEASE_VERSION in the format <acs-version>-<additional-info> (7.1.1-EA or 7.1.1-SNAPSHOT)"
exit 1
fi
+2 -1
View File
@@ -6,7 +6,7 @@ pushd "$(dirname "${BASH_SOURCE[0]}")/../../"
if [ -z "${RELEASE_VERSION}" ] || [ -z "${DEVELOPMENT_VERSION}" ]; then
echo "Please provide a Release and Development version in the format <acs-version>-<additional-info> (7.2.0-EA or 7.2.0-SNAPSHOT)"
echo "Please provide a Release and Development version in the format <acs-version>-<additional-info> (7.1.1-EA or 7.1.1-SNAPSHOT)"
exit 1
fi
@@ -16,6 +16,7 @@ git checkout -B "${TRAVIS_BRANCH}"
git config user.email "${GIT_EMAIL}"
mvn -B \
-ntp \
-Prelease,all-tas-tests -Pags \
-DreleaseVersion="${RELEASE_VERSION}" \
-DdevelopmentVersion="${DEVELOPMENT_VERSION}" \
+1 -1
View File
@@ -9,7 +9,7 @@ pushd "$(dirname "${BASH_SOURCE[0]}")/../../"
#
if [ -z "${RELEASE_VERSION}" ]; then
echo "Please provide a RELEASE_VERSION in the format <acs-version>-<additional-info> (7.2.0-EA or 7.2.0-SNAPSHOT)"
echo "Please provide a RELEASE_VERSION in the format <acs-version>-<additional-info> (7.1.1-EA or 7.1.1-SNAPSHOT)"
exit 1
fi
+1 -1
View File
@@ -1,4 +1,4 @@
TRANSFORMERS_TAG=2.5.3
TRANSFORMERS_TAG=2.5.6
SOLR6_TAG=2.0.2
POSTGRES_TAG=13.3
ACTIVEMQ_TAG=5.16.1
+1 -1
View File
@@ -6,7 +6,7 @@
<parent>
<groupId>org.alfresco</groupId>
<artifactId>acs-community-packaging</artifactId>
<version>7.2.0-A5</version>
<version>7.1.1.2</version>
</parent>
<modules>
+1 -1
View File
@@ -9,7 +9,7 @@
<parent>
<groupId>org.alfresco</groupId>
<artifactId>content-repository-community-tests</artifactId>
<version>7.2.0-A5</version>
<version>7.1.1.2</version>
</parent>
<developers>
+1 -1
View File
@@ -9,7 +9,7 @@
<parent>
<groupId>org.alfresco</groupId>
<artifactId>content-repository-community-tests</artifactId>
<version>7.2.0-A5</version>
<version>7.1.1.2</version>
</parent>
<developers>
+2 -2
View File
@@ -9,7 +9,7 @@
<parent>
<groupId>org.alfresco</groupId>
<artifactId>content-repository-community-tests</artifactId>
<version>7.2.0-A5</version>
<version>7.1.1.2</version>
</parent>
<developers>
@@ -101,7 +101,7 @@
<dependency>
<groupId>com.jayway.jsonpath</groupId>
<artifactId>json-path</artifactId>
<version>${dependency.jakarta-json-path.version}</version>
<version>2.5.0</version>
</dependency>
</dependencies>
+1 -1
View File
@@ -9,7 +9,7 @@
<parent>
<groupId>org.alfresco</groupId>
<artifactId>content-repository-community-tests</artifactId>
<version>7.2.0-A5</version>
<version>7.1.1.2</version>
</parent>
<developers>
+1 -1
View File
@@ -9,7 +9,7 @@
<parent>
<groupId>org.alfresco</groupId>
<artifactId>content-repository-community-tests</artifactId>
<version>7.2.0-A5</version>
<version>7.1.1.2</version>
</parent>
<developers>